database

## Class Database

- java.lang.Object
- - database.Database

-     public class Database
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private com.mysql.jdbc.Connection` | `connection`
    `private static java.lang.String` | `password`
    `private static java.lang.String` | `serverName`
    `private static java.lang.String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Database(java.lang.String user, java.lang.String pass, java.lang.String url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeConnection()`
    `void` | `execute(java.lang.String command)`
    `com.mysql.jdbc.Connection` | `getConnection()`
    `int` | `insert(java.lang.String command)`
    `boolean` | `isConnectionUp()`
    `java.sql.ResultSet` | `select(java.lang.String command)`
    `void` | `update(java.lang.String command)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serverName

          private static java.lang.String serverName

    - #### username

          private static java.lang.String username

    - #### password

          private static java.lang.String password

    - #### connection

          private com.mysql.jdbc.Connection connection

  - ### Constructor Detail

    - #### Database

          public Database(java.lang.String user,
                  java.lang.String pass,
                  java.lang.String url)

  - ### Method Detail

    - #### isConnectionUp

          public boolean isConnectionUp()

    - #### getConnection

          public com.mysql.jdbc.Connection getConnection()

    - #### closeConnection

          public void closeConnection()

    - #### insert

          public int insert(java.lang.String command)

    - #### update

          public void update(java.lang.String command)

    - #### select

          public java.sql.ResultSet select(java.lang.String command)

    - #### execute

          public void execute(java.lang.String command)